import Vue from 'vue'
import App from './App.vue'
import router from './router'
// 将自动注册所有组件为全局组件
import dataV from '@jiaminghi/data-view'
import Echart from './components/echarts/index.vue'
import { DatePicker, Menu, MenuItem, Table, TableColumn } from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

Vue.use(dataV)
Vue.use(DatePicker)
Vue.use(Menu)
Vue.use(MenuItem)
Vue.use(Table)
Vue.use(TableColumn)

Vue.config.productionTip = false

// 自定义组件
Vue.component('TheEchart', Echart)

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
